| Home | Libraries | People | FAQ | More

#### quoting_context

(EXPERIMENTAL) Identifies the context which a string is being escaped for.

##### Synopsis

Defined in header `<boost/mysql/escape_string.hpp>`

    enum quoting_context

##### Values

Name | Description
--- | ---
`double_quote` | The string is surrounded by double quotes.
`single_quote` | The string is surrounded by single quotes.
`backtick` | The string is surrounded by backticks.

Convenience header `<boost/mysql.hpp>`